View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000839aMuleExternal Connpublic2006-03-07 22:502008-01-14 14:50
ReporterXaignar 
Assigned ToXaignar 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.1.0 
Target VersionFixed in VersionSVN 
Summary0000839: aMuleWeb cookies conflict with other apps' cookies.
Description<theo> hlo everyone just installed fluxtorrent next to amule
<theo> works fine but for the cookies isuue, anyone experience?
<theo> I have Amule running form Daemon with web-interface (works excellent)
<theo> but if I use the php interface of fluxtorrent, after that it screws the nice Amuleweb
<theo> if i delete all cookies in my browser it works again
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0001965)
xushi (reporter)
2006-04-26 16:35

I have the same problem. aMuleweb conflicts with any cookies from the same domain or website. It only occures when i try and login with another php app (such as b2evo, phpbb, etc..).

Result: amuleweb login page loads. When authenticated, i enter the web interface VERY quickly. If i click on anything else, i get booted out to the login page again.

Only solution is to delete all the cookies for that domain.
(0002297)
cverond1 (reporter)
2007-05-24 16:47
edited on: 2007-05-24 16:48

I checked the sources, and the code that extracts session ID from cookie is supposed to have just one cookie. The modification of the code is trivial. I have patched the version I use and it seems to work ok.
If you want, I can send you the patch, but you have to instruct me on how to do it.

edited on: 05-24-07 16:48
(0002512)
Xaignar (manager)
2008-01-14 14:50

This has been fixed in SVN. Thanks for reporting.

Cheers.

- Issue History
Date Modified Username Field Change
2006-03-07 22:50 Xaignar New Issue
2006-03-07 22:52 Xaignar Status new => acknowledged
2006-03-07 22:52 Xaignar Product Version => 2.1.0
2006-04-26 16:35 xushi Note Added: 0001965
2007-05-24 16:47 cverond1 Note Added: 0002297
2007-05-24 16:48 cverond1 Note Edited: 0002297
2008-01-14 14:50 Xaignar Status acknowledged => resolved
2008-01-14 14:50 Xaignar Fixed in Version => SVN
2008-01-14 14:50 Xaignar Resolution open => fixed
2008-01-14 14:50 Xaignar Assigned To => Xaignar
2008-01-14 14:50 Xaignar Note Added: 0002512


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker